<?php
class checkCommon extends commonModel
{
    public function checkExtDate($ext, $checkDate = '')
    {
        if(function_exists('ioncube_license_properties'))
        {
            $properties = ioncube_license_properties();
            if($properties)
            {
                $licensePath = $this->app->configRoot . 'license' . DS . 'zentao.txt';
                if($checkDate && !file_exists($licensePath)) return true;
                if($checkDate && file_exists($licensePath) && filectime($licensePath) < strtotime($checkDate)) return true;

                $this->loadModel('admin');
                $licenseMethod = 'get' . ucfirst($ext) . 'License';
                if(!method_exists($this->admin, $licenseMethod)) return false;

                $properties = $this->admin->$licenseMethod();
                if(!$properties['expireDate'] || $properties['expireDate'] >= date('Y-m-d')) return true;
                return false;
            }
        }

        return true;
    }
}
